# Get connector status

**GET /v1/kafka-connect/clusters/{cluster_name}/connectors/{name}/status**

Gets the current status of the connector, including the state for each of its tasks, error information, etc.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters
- **cluster_name** (string)
  Unique name of target Connect cluster. For Redpanda Cloud, use `redpanda`.
- **name** (string)
  Name of connector.



## Responses
### 200
OK

#### Body: application/json (object)
- **connector** (object)

- **errors** (array[object])
  List of parsed connectors' and tasks' errors.
- **holistic_state** (string)
  State of a connector or one of its tasks, as described in the [Kafka Connect documentation](https://kafka.apache.org/documentation.html#connect_administration). Takes into account not just the state of the connector instance itself, but also the tasks within the connector.

   - CONNECTOR_HOLISTIC_STATE_PAUSED: The connector or task has been administratively paused.
   - CONNECTOR_HOLISTIC_STATE_RESTARTING: The connector or task is restarting.
   - CONNECTOR_HOLISTIC_STATE_DESTROYED: The connector is destroyed, regardless of any tasks.
   - CONNECTOR_HOLISTIC_STATE_STOPPED: The connector or task has been stopped.
   - CONNECTOR_HOLISTIC_STATE_UNASSIGNED: - The connector or task has not yet been assigned to a worker,
  - THe connector is running, but there are unassigned tasks.
   - CONNECTOR_HOLISTIC_STATE_HEALTHY: The connector is running, > 0 tasks, all of them in running state.
   - CONNECTOR_HOLISTIC_STATE_UNHEALTHY: - The connector has failed,
  - The connector is running, but has no tasks,
  - Connector is running and has tasks, but all tasks have failed.
   - CONNECTOR_HOLISTIC_STATE_DEGRADED: The connector is running and has tasks, and at least one task, but not all, have failed.
   - CONNECTOR_HOLISTIC_STATE_UNKNOWN: The connector or task state could not be determined.
- **name** (string)
  Name of connector.
- **tasks** (array[object])
  Status of connector tasks. For more information, see the [https://docs.redpanda.com/current/deploy/deployment-option/cloud/managed-connectors/monitor-connectors/#connector-tasks](Monitor Connectors) documentation.
- **type** (string)
  Type of connector (sink or source).

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
